diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index dd3217e..69d0e57 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -146123,13 +146123,13 @@ TrigonometricManipulations(R, F): Exports == Implementation where
       explogs2trigs locexplogs eval(f, l.ker, l.val)
 
     locexplogs f ==
-      any?(has?(#1, "rtrig"),
+      any?(x +-> has?(x, "rtrig"),
            operators(g := realElementary f))$List(BasicOperator) =>
               localexplogs(f, g, variables g)
       F2FG g
 
     complexNormalize(f, x) ==
-      any?(has?(operator #1, "rtrig"),
+      any?(y +-> has?(operator y, "rtrig"),
        [k for k in tower(g := realElementary(f, x))
                | member?(x, variables(k::F))]$List(K))$List(K) =>
                    FG2F(rischNormalize(localexplogs(f, g, [x]), x).func)
@@ -146137,7 +146137,7 @@ TrigonometricManipulations(R, F): Exports == Implementation where
 
     complexNormalize f ==
       l := variables(g := realElementary f)
-      any?(has?(#1, "rtrig"), operators g)$List(BasicOperator) =>
+      any?(x +-> has?(x, "rtrig"), operators g)$List(BasicOperator) =>
         h := localexplogs(f, g, l)
         for x in l repeat h := rischNormalize(h, x).func
         FG2F h
@@ -146145,14 +146145,14 @@ TrigonometricManipulations(R, F): Exports == Implementation where
       g
 
     complexElementary(f, x) ==
-      any?(has?(operator #1, "rtrig"),
+      any?(y +-> has?(operator y, "rtrig"),
        [k for k in tower(g := realElementary(f, x))
                  | member?(x, variables(k::F))]$List(K))$List(K) =>
                      FG2F localexplogs(f, g, [x])
       g
 
     complexElementary f ==
-      any?(has?(#1, "rtrig"),
+      any?(x +-> has?(x, "rtrig"),
         operators(g := realElementary f))$List(BasicOperator) =>
           FG2F localexplogs(f, g, variables g)
       g
diff --git a/changelog b/changelog
index ba13d78..2ad8225 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090624 tpd src/axiom-website/patches.html 20090624.03.tpd.patch
+20090624 tpd books/bookvol10.4 TRIGMNIP +-> conversion
 20090624 tpd src/axiom-website/patches.html 20090624.02.tpd.patch
 20090624 tpd books/bookvol10.4 SOLVETRA +-> conversion
 20090624 tpd src/axiom-website/patches.html 20090624.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 977bb15..6543579 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1655,5 +1655,7 @@ bookvol10.4 TRMANIP +-> conversion<br/>
 bookvol10.4 RDETRS +-> conversion<br/>
 <a href="patches/20090624.02.tpd.patch">20090624.02.tpd.patch</a>
 bookvol10.4 SOLVETRA +-> conversion<br/>
+<a href="patches/20090624.03.tpd.patch">20090624.03.tpd.patch</a>
+bookvol10.4 TRIGMNIP +-> conversion<br/>
  </body>
 </html>
